///////////////////////////////////////////////////////////
// This C++ file is derived from C code by Bob Jenkins.
// (bob_jenkins@compuserve.com)
//
//  See the following Web pages for further information.
//
//  http://www.cris.com/~ttwang/tech/inthash.htm
//  http://ourworld.compuserve.com/homepages/bob_jenkins/blockcip.htm
//
// See the file lookupa.h for the original code.
//
///////////////////////////////////////////////////////////
// Thanks to Bob for nice licence conditions.
///////////////////////////////////////////////////////////

/*
------------------------------------------------------------------------------
By Bob Jenkins, September 1996
lookupa.h, a hash function for table lookup, same function as lookup.c.
You may use this code in any way you wish.  It has no warranty.
Source is http://ourworld.compuserve.com/homepages/bob_jenkins/lookupa.h
------------------------------------------------------------------------------
*/

#ifndef ULHASH_H
#define ULHASH_H

unsigned long ulhash(unsigned char *k, unsigned long length, unsigned long level);

#endif
